#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>
#include <string>

using namespace std;

typedef long long ll;

typedef string s;

vector<char> sum(vector<char> a, vector<char> b){
    vector<char> n(a.size(), '0');
    for(int i = 0; i<a.size(); ++i){
        n[i] = max(a[i], b[i]);
    }
    return n;
}

vector<char> mult1(vector<char> a, char b, int g){
    vector<char> n(a.size()+g, '0');
    for(int i = 0; i<a.size(); ++i){
        n[i+g] = min(a[i], b);
    }
    return n;
}

vector<char> mult2(vector<char> a, vector<char> b){
    vector<vector<char>> k(min(a.size(), b.size()), vector<char>(a.size()+b.size(), '0'));
    for(int i = 0; i < min(a.size(), b.size()); ++i){
            k[i] = mult1(a, b[i], i);
    }
    for(int i = 1; i < min(a.size(), b.size()); ++i){
            k[i] = sum(k[i], k[i-1]);
    }
    return k[min(a.size(), b.size())-1];
}

int main()
{
    s as, bs;
    cin >> as >> bs;

    vector<char> a(max(as.size(), bs.size()), '0');
    vector<char> b(max(as.size(), bs.size()), '0');

    for(int i = 0; i<as.size(); ++i) a[i+a.size()-as.size()] = as[i];
    for(int i = 0; i<bs.size(); ++i) b[i+b.size()-bs.size()] = bs[i];
    bool nll = false;
    vector<char> sm = sum(a, b);
    for(auto x : sm){
            cout << x;
    }
    cout << " ";
    nll = false;
    vector<char> mul = mult2(a, b);
    for(char x : mul){
            if(x != '0'){
                nll = true;
                cout << x;
            }
            else if(nll == true) cout << x;
    }
}
